Public Class EstadoPlazaBusinessObject
    Inherits BusinessObject(Of EstadoPlaza)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New EstadoPlazaDbHelper
    End Sub

    Public Sub New(ByVal entity As EstadoPlaza)
        MyBase.New(entity)
        DbHelper = New EstadoPlazaDbHelper
    End Sub

    Public Sub New(ByVal idEstadoPlaza As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idEstadoPlaza = idEstadoPlaza
        Dim Entity_Aux As EstadoPlaza = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As EstadoPlazaBusinessObject
    Protected Shared Function GetDdHelperInstance() As EstadoPlazaDbHelper
        If _Instance Is Nothing Then
            _Instance = New EstadoPlazaBusinessObject
        End If
    Return CType(_Instance.DbHelper, EstadoPlazaDbHelper)
    End Function

    Public Shared Function GetListEstadoPlaza(Optional ByVal foreignLevel As Integer=0) As EntityList(Of EstadoPlaza)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

#End Region
End Class
